Get Dataset History
GET
/datasets/{dataset_id}/history
const url = 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/history?skip=0&limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/history?skip=0&limit=50' \ --header 'Authorization: Bearer <token>'Get audit log history for a specific dataset.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Query Parameters
Section titled “Query Parameters ” skip
Skip
integer
limit
Limit
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
AuditLogListResponse
object
logs
required
Logs
Array<object>
AuditLogResponseobject
id
required
Id
string format: uuid
user_id
required
User Id
string format: uuid
action
required
Action
string
resource_type
required
Resource Type
string
created_at
required
Created At
string format: date-time
total
required
Total
integer
Example generated
{ "logs": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "username": "example", "action": "example", "resource_type": "example", "resource_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "details": {}, "ip_address": "example", "created_at": "2026-04-15T12:00:00Z" } ], "total": 1}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}